Bug 1009614 - Initial enumeration in the AD provider does not work
Summary: Initial enumeration in the AD provider does not work
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-18 17:27 UTC by Jakub Hrozek
Modified: 2020-05-02 17:27 UTC (History)
6 users (show)

Fixed In Version: sssd-1.11.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 12:42:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github SSSD sssd issues 3110 None None None 2020-05-02 17:27:15 UTC

Description Jakub Hrozek 2013-09-18 17:27:46 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/2068

The initial enumeration is started right after the backend starts. But because the domain SID is downloaded outside the enumeration request and initiated by responders, by the time the initial enumeration starts, we don't have the domain SID and setting up the ID mapping object fails.

Comment 1 Jakub Hrozek 2013-09-26 09:13:37 UTC
master:
    74802794554e0f87d1354b6788f1719cd7d80a6c
    21f749c9300a1a51f3eb83d7f1483ec2fe15b3cc
    31ad608192c24eb56cf7a8294f6bfc080893193c 
sssd-1-11:
    86809d51488f9622807857167d9ad92bf856bef5
    55403f58f35814fab94106b913e8f3b4e98e92b8
    287e03aed7ab6298c0330c6544c29cafb031e0a5

Comment 3 Jakub Hrozek 2013-10-04 13:24:57 UTC
Temporarily moving bugs to MODIFIED to work around errata tool bug

Comment 5 Kaushik Banerjee 2014-01-22 05:12:33 UTC
Verified in version 1.11.2-29.el7

Output from beaker automation run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: ad_forest_03: bz 1009614 1028039 Enumerate users and groups
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

(Tue Jan 21 10:40:50 2014) [sssd[be[sssdad.com]]] [ad_master_domain_next_done] (0x0400): Found SID [S-1-5-21-2153326666-2176343378-3404031434].
(Tue Jan 21 10:40:50 2014) [sssd[be[sssdad.com]]] [ad_master_domain_next_done] (0x0400): Found SID [S-1-5-21-2153326666-2176343378-3404031434].
(Tue Jan 21 10:40:50 2014) [sssd[be[sssdad.com]]] [ad_master_domain_next_done] (0x0400): Found SID [S-1-5-21-2153326666-2176343378-3404031434].
:: [   PASS   ] :: Running 'cat /var/log/sssd/sssd_$AD_DOMAIN1.log| grep -B 300 -i "searching for user" | grep -i "found sid"' (Expected 0, got 0)

Comment 6 Ludek Smid 2014-06-13 12:42:49 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.